<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: metadata.xml 12246 2007-12-09 21:42:38Z benoitf $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<ipojo>
  <component className="org.ow2.jonas.web.tomcat6.Tomcat6Service"
             factory="true"
             immediate="false">

    <provides interface="org.ow2.jonas.web.JWebContainerService" />

    <requires optional="false"
              interface="org.ow2.jonas.jmx.JmxService">
      <callback type="bind" method="setJmxService" />
    </requires>
    <requires optional="false"
              interface="org.ow2.jonas.properties.ServerProperties">
      <callback type="bind" method="setServerProperties" />
    </requires>
    <requires optional="true"
              interface="org.ow2.jonas.ws.WebServicesService">
      <callback type="bind" method="setWsService" />
    </requires>
    <requires optional="false"
              interface="org.ow2.jonas.security.SecurityService">
      <callback type="bind" method="setSecurityService" />
    </requires>
    <requires optional="false"
              interface="org.ow2.jonas.naming.JNamingManager">
      <callback type="bind" method="setNaming" />
    </requires>
    <requires optional="false"
              interface="org.ow2.jonas.naming.JComponentContextFactory">
      <callback type="bind" method="setContextFactory" />
    </requires>
    <requires optional="false"
              interface="org.ow2.util.ee.deploy.api.deployer.IDeployerManager">
      <callback type="bind" method="setDeployerManager" />
    </requires>

    <callback transition="validate" method="start" />
    <callback transition="invalidate" method="stop" />

    <properties propagation="true">
      <property name="parsingwithvalidation"
                method="setParsingwithvalidation"
                type="boolean" />
    </properties>
  </component>
</ipojo>